// API Actors for managing node. These actors are the final API for end users to manage nodes
package node

import (
	"repository.basistech.ru/BASIS/decort-golang-sdk/interfaces"
)

// Structure for creating request to node
type Node struct {
	client interfaces.Caller
}

// Builder for node endpoints
func New(client interfaces.Caller) *Node {
	return &Node{
		client: client,
	}
}
